CUDNN Frontend API 8.3.0

Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
cudnn_frontend::ExecutionPlan_v8 Class Reference

`#include <cudnn_frontend_ExecutionPlan.h>`

Inheritance diagram for cudnn_frontend::ExecutionPlan_v8:
Collaboration diagram for cudnn_frontend::ExecutionPlan_v8:

## Public Member Functions
| ExecutionPlan_v8 (ExecutionPlan_v8 &&from)=default
ExecutionPlan_v8 & | operator= (ExecutionPlan_v8 &&)=default
| ~ExecutionPlan_v8 ()=default
auto | getWorkspaceSize (void) const -> int64_t
| Query the workspace requirement for the given plan. More...
std::string | describe () const override
| Return a string describing the backend Descriptor. More...
std::string const & | getTag () const
void | setExecutionTime (float time_)
float | getExecutionTime () const
std::array< cudnnBackendNumericalNote_t, CUDNN_NUMERICAL_NOTE_TYPE_COUNT > const & | getNumericNotes () const
| ExecutionPlan_v8 (ExecutionPlan_v8 const &)=default
ExecutionPlan_v8 & | operator= (ExecutionPlan_v8 const &)=default
Public Member Functions inherited from cudnn_frontend::BackendDescriptor
cudnnBackendDescriptor_t | get_raw_desc () const
cudnnStatus_t | get_status () const
| Current status of the descriptor. More...
void | set_status (cudnnStatus_t const status_) const
| Set status of the descriptor. More...
void | set_error (const char *message) const
| Set Diagonistic error message. More...
const char * | get_error () const
| Diagonistic error message if any. More...
ManagedOpaqueDescriptor | get_desc () const
| Returns a copy of underlying managed descriptor. More...
cudnnStatus_t | initialize_managed_backend_pointer (cudnnBackendDescriptorType_t type)
| Initializes the underlying managed descriptor. More...

## Private Member Functions
void | fetchNotes (ManagedOpaqueDescriptor &extractedEngine)
void | buildTag (ManagedOpaqueDescriptor &extractedEngine)
void | computeWorkSpaceSize ()
| ExecutionPlan_v8 ()=default

## Private Attributes
ManagedOpaqueDescriptor | engine_config = nullptr
cudnnHandle_t | handle = nullptr
std::string | planTag
std::int64_t | workSpaceSize = 0
std::array< cudnnBackendNumericalNote_t, CUDNN_NUMERICAL_NOTE_TYPE_COUNT > | numeric_notes
float | execution_time_ms = 0.0f

## Friends
class | ExecutionPlanBuilder_v8

## Additional Inherited Members
Protected Member Functions inherited from cudnn_frontend::BackendDescriptor
| BackendDescriptor (ManagedOpaqueDescriptor pointer_, cudnnStatus_t status_, std::string err_msg_)
| BackendDescriptor ()=default
Protected Attributes inherited from cudnn_frontend::BackendDescriptor
ManagedOpaqueDescriptor | pointer
cudnnStatus_t | status = CUDNN_STATUS_SUCCESS
| Shared pointer of the OpaqueBackendPointer. More...
std::string | err_msg
| Error message if any being set. More...

## Detailed Description

ExecutionPlan_v8 Class This class tells the Configuration of the Engine in terms of the knob choices Properties:

- num knobs
- Choice
- Engine

Use ExecutionPlanBuilder_v8 to build this class. Describe returns a string describing the tensor class

Definition at line 51 of file cudnn_frontend_ExecutionPlan.h.

## Constructor & Destructor Documentation

## ◆ ExecutionPlan_v8()

cudnn_frontend::ExecutionPlan_v8::ExecutionPlan_v8 | ( | ExecutionPlan_v8 && | from | ) |
| default

## ◆ ~ExecutionPlan_v8()

cudnn_frontend::ExecutionPlan_v8::~ExecutionPlan_v8 | ( |  | ) |
| default

## Member Function Documentation

## ◆ operator=()

ExecutionPlan_v8& cudnn_frontend::ExecutionPlan_v8::operator= | ( | ExecutionPlan_v8 && |  | ) |
| default

Referenced by cudnn_frontend::ExecutionPlanBuilder_v8::build(), and getNumericNotes().

## Friends And Related Function Documentation

## ◆ ExecutionPlanBuilder_v8

friend class ExecutionPlanBuilder_v8
| friend

Definition at line 53 of file cudnn_frontend_ExecutionPlan.h.

Referenced by cudnn_frontend::ExecutionPlanBuilder_v8::build().

The documentation for this class was generated from the following file:

- cudnn_frontend_ExecutionPlan.h